package model

import "shylinux.com/x/mysql-story/src/db"

const (
	UID             = "uid"
	NAME            = "name"
	TYPE            = "type"
	ROLE            = "role"
	TITLE           = "title"
	CONTENT         = "content"
	USER_UID        = "user_uid"
	USER_CLOUD_ROLE = "user_cloud_role"
	CLOUD_UID       = "cloud_uid"
	CLOUD_NAME      = "cloud_name"
	CLOUD_TYPE      = "cloud_type"
	PUBLISH_UID     = "publish_uid"
	COMPANY_UID     = "company_uid"
	CITY_UID        = "city_uid"
)

type UserCloud struct {
	db.ModelUserPlace
	CloudUID string `gorm:"type:char(32);index"`
}
type Cloud struct {
	db.ModelPlace
	CompanyUID string `gorm:"type:char(32);index"`
}
type Publish struct {
	db.ModelContent
	CloudUID string `gorm:"type:char(32);index"`
}

func init() { db.CmdModels("", &UserCloud{}, &Cloud{}, &Publish{}) }
